Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrNodePath

    java.lang.Object
      org.modeshape.graph.query.model.NodePath
          org.modeshape.jcr.query.qom.JcrNodePath

All Implemented Interfaces:
  Serializable, Operand, DynamicOperand, LanguageObject, Visitable, NodePath, JcrDynamicOperand

    public class JcrNodePath

extends NodePath
implements NodePath, JcrDynamicOperand

Implementation of the node path dynamic operand for the Graph API and that is an extension to the JCR Query Object Model.

See Also:
  Serialized Form

Constructor Summary
`JcrNodePath(SelectorName selectorName)` Create a dynamic operand that evaluates to the path of the node identified by the selector.

Method Summary
`String` | `getSelectorName()` Get the selector symbol upon which this operand applies.

Methods inherited from class org.modeshape.graph.query.model.NodePath
`accept, equals, hashCode, selectorName, selectorNames, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.DynamicOperand
`selectorNames`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrNodePath

    public JcrNodePath(SelectorName selectorName)

  Create a dynamic operand that evaluates to the path of the node identified by the selector.

  Parameters:
    `selectorName` - the name of the selector
  Throws:
    `IllegalArgumentException` - if the selector name or property name are null

Method Detail

### getSelectorName

    public String getSelectorName()

  Get the selector symbol upon which this operand applies.

  Specified by:
    `getSelectorName` in interface `NodePath`
  Returns:
    the one selector names used by this operand; never null
  See Also:
    `NodePath.getSelectorName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.